/* MouseTracker.java */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class MouseTracker extends JFrame
               implements MouseListener,  
                          MouseMotionListener {
   private static final long serialVersionUID = 7526472295622776147L;
   private JLabel statusBar;

   public MouseTracker(){
      super("Demonstrating Mouse Events");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      statusBar = new JLabel();
      getContentPane().setLayout(new BorderLayout());

      getContentPane().add("South", statusBar);
    
      this.addMouseListener(this);
      this.addMouseMotionListener(this);

      pack();
      setSize(275, 100);
      setVisible(true);
   }

// Tratadores de MouseListener
   public void mouseClicked( MouseEvent e ){
     statusBar.setText( "Clicked at [" + e.getX() +
                        ", " + e.getY() + "]" );
   }
   public void mousePressed( MouseEvent e ){
     statusBar.setText( "Pressed at [" + e.getX() +
                        ", " + e.getY() + "]" );
   }
   public void mouseReleased( MouseEvent e ){
      statusBar.setText( "Released at [" + e.getX() +
                         ", " + e.getY() + "]" );
   }
   public void mouseEntered( MouseEvent e ){
     statusBar.setText( "Mouse in window" );
   }
   public void mouseExited( MouseEvent e ){
     statusBar.setText( "Mouse outside window" );
   }

// Tratadores de MouseMotionListener
   public void mouseDragged( MouseEvent e ){
      statusBar.setText( "Dragged at [" + e.getX() +
                         ", " + e.getY() + "]" );
   }
   public void mouseMoved( MouseEvent e ){
      statusBar.setText( "Moved at [" + e.getX() +
                         ", " + e.getY() + "]" );
   }
   public static void main( String args[] ){ 
      MouseTracker app = new MouseTracker();
   }
}
